Apache log4cxx: log4cxx::pattern Namespace Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

# log4cxx::pattern Namespace Reference

## Classes
class | CachedDateFormat
class | ClassNamePatternConverter
| Formats the class name of the site of the logging request. More...
class | DatePatternConverter
| Convert and format the event's date in a StringBuffer. More...
class | FileDatePatternConverter
| Formats an date by delegating to DatePatternConverter. More...
class | FileLocationPatternConverter
| Return the event's line location information in a StringBuffer. More...
class | FormattingInfo
| Modifies the output of a pattern converter for a specified minimum and maximum width and alignment. More...
class | FullLocationPatternConverter
| Format the event's line location information. More...
class | IntegerPatternConverter
| Formats an integer. More...
class | LevelPatternConverter
| Return the event's level in a StringBuffer. More...
class | LineLocationPatternConverter
| Format the event's line location information. More...
class | LineSeparatorPatternConverter
| Formats a line separator. More...
class | LiteralPatternConverter
| Formats a string literal. More...
class | LoggerPatternConverter
| Formats a logger name. More...
class | LoggingEventPatternConverter
| LoggingEventPatternConverter is a base class for pattern converters that can format information from instances of LoggingEvent. More...
class | MessagePatternConverter
| Formats the message of an logging event. More...
class | MethodLocationPatternConverter
| Return the event's line location information in a StringBuffer. More...
class | NameAbbreviator
| NameAbbreviator generates abbreviated logger and class names. More...
class | NamePatternConverter
| Base class for other pattern converters which can return only parts of their name. More...
class | NDCPatternConverter
| Return the event's NDC in a StringBuffer. More...
class | PatternConverter
class | PatternParser
| Most of the work of the PatternLayout class is delegated to the PatternParser class. More...
class | PropertiesPatternConverter
| Able to handle the contents of the LoggingEvent's Property bundle and either output the entire contents of the properties in a similar format to the java.util.Hashtable.toString(), or to output the value of a specific key within the property bundle when this pattern converter has the option set. More...
class | RelativeTimePatternConverter
| Format the relative time in milliseconds. More...
class | ThreadPatternConverter
| Formats the event thread name. More...
class | ThrowableInformationPatternConverter
| Outputs the ThrowableInformation portion of the LoggingiEvent as a full stacktrace unless this converter's option is 'short', where it just outputs the first line of the trace. More...
## Typedefs
typedef helpers::ObjectPtrT< FormattingInfo > | FormattingInfoPtr
typedef std::vector< LogString > | OptionsList
typedef PatternConverterPtr(* | PatternConstructor )(const std::vector< LogString > &options)
typedef std::map< LogString, PatternConstructor > | PatternMap
## Functions
| LOG4CXX_PTR_DEF (DatePatternConverter)
| LOG4CXX_PTR_DEF (FormattingInfo)
| LOG4CXX_PTR_DEF (IntegerPatternConverter)
| LOG4CXX_PTR_DEF (LoggingEventPatternConverter)
| LOG4CXX_PTR_DEF (NameAbbreviator)
| LOG4CXX_PTR_DEF (PatternConverter)

## Typedef Documentation

typedef helpers::ObjectPtrT<FormattingInfo> FormattingInfoPtr

typedef std::vector<LogString> OptionsList

typedef PatternConverterPtr(* PatternConstructor)(const std::vector< LogString > &options)

typedef std::map<LogString, PatternConstructor> PatternMap

## Function Documentation

log4cxx::pattern::LOG4CXX_PTR_DEF | ( | PatternConverter |  | ) |

log4cxx::pattern::LOG4CXX_PTR_DEF | ( | NameAbbreviator |  | ) |

log4cxx::pattern::LOG4CXX_PTR_DEF | ( | LoggingEventPatternConverter |  | ) |

log4cxx::pattern::LOG4CXX_PTR_DEF | ( | IntegerPatternConverter |  | ) |

log4cxx::pattern::LOG4CXX_PTR_DEF | ( | FormattingInfo |  | ) |

log4cxx::pattern::LOG4CXX_PTR_DEF | ( | DatePatternConverter |  | ) |